'use strict';

var _objectSpread = require('@babel/runtime/helpers/objectSpread2');
var _defineProperty = require('@babel/runtime/helpers/defineProperty');
var accounts = require('permissionless/accounts');
var constants = require('./constants.js');

class KernelSmartAccount {
  constructor(options) {
    _defineProperty(this, "name", constants.SMART_ACCOUNT.KERNEL);
    _defineProperty(this, "options", void 0);
    this.options = options;
  }
  async getSmartAccount(params) {
    return accounts.toEcdsaKernelSmartAccount(_objectSpread(_objectSpread(_objectSpread({}, this.options || {}), params), {}, {
      owners: [params.owner],
      client: params.client
    }));
  }
}

exports.KernelSmartAccount = KernelSmartAccount;
