import _objectSpread from '@babel/runtime/helpers/objectSpread2';
import _defineProperty from '@babel/runtime/helpers/defineProperty';
import { toEcdsaKernelSmartAccount } from 'permissionless/accounts';
import { SMART_ACCOUNT } from './constants.js';

class KernelSmartAccount {
  constructor(options) {
    _defineProperty(this, "name", SMART_ACCOUNT.KERNEL);
    _defineProperty(this, "options", void 0);
    this.options = options;
  }
  async getSmartAccount(params) {
    return toEcdsaKernelSmartAccount(_objectSpread(_objectSpread(_objectSpread({}, this.options || {}), params), {}, {
      owners: [params.owner],
      client: params.client
    }));
  }
}

export { KernelSmartAccount };
