import { IProvider } from "@web3auth/base";
import { Client } from "viem";
import { SmartAccount } from "viem/account-abstraction";
import { ISmartAccount, SimpleSmartAccountConfig } from "./types";
export declare class SimpleSmartAccount implements ISmartAccount {
    readonly name: string;
    options: SimpleSmartAccountConfig;
    constructor(options?: SimpleSmartAccountConfig);
    getSmartAccount(params: {
        owner: IProvider;
        client: Client;
    }): Promise<SmartAccount>;
}
