import { JRPCMiddleware } from "@web3auth/auth";
import { IProvider } from "@web3auth/base";
import { IProviderHandlers } from "@web3auth/ethereum-provider";
export declare function createAaMiddleware({ eoaProvider, handlers, }: {
    eoaProvider: IProvider;
    handlers: IProviderHandlers;
}): Promise<JRPCMiddleware<unknown, unknown>>;
export declare function eoaProviderAsMiddleware(provider: IProvider): JRPCMiddleware<unknown, unknown>;
