import { IProvider } from "@web3auth/base";
import { IProviderHandlers } from "@web3auth/ethereum-provider";
import { Chain } from "viem";
import { BundlerClient, SmartAccount } from "viem/account-abstraction";
export declare function getProviderHandlers({ bundlerClient, smartAccount, chain, eoaProvider, }: {
    smartAccount: SmartAccount;
    bundlerClient: BundlerClient;
    chain: Chain;
    eoaProvider: IProvider;
}): IProviderHandlers;
